#ifndef BOX_H
#define BOX_H

#include <utils/newasm.h>

typedef struct log_brec {
  short x1, y1, x2, y2;
  struct log_brec *next;
  na_long temp;
  unsigned f7 : 1, f6 : 1, f5 : 1, f4 : 1, f3 : 1, f2 : 1, f1 : 1, f0 : 1;
} log_brec;   /* Dashed box */

void linkbox(log_brec *b);
void newbox(log_brec **b);
void unlinkbox(log_brec *b);
void dispbox(log_brec **b);

void addboxat(short x1, short y1, short x2, short y2);
void addbox();

#endif
