#ifndef LOGSIM_H
#define LOGSIM_H


#include "logdef.h"
#include "logdig.h"
#include "logsima.h"
#include "logsimed.h"
#include <graphics/newkbd.h>
#include <utils/newasm.h>
#include <graphics/newci.h>
#include <graphics/newcrt.h>
#include <graphics/mylib.h>

extern void Log_16_proc (log_action_t *lact);
extern void Log_16_7seg (log_16_action *act);
extern void Log_16_break (log_16_action *act);
extern void Log_16_clock (log_16_action *act);
extern void Log_16_keypad (log_16_action *act);
extern void Log_16_ledgate (log_16_action *act);
extern void Log_16_ledgate2 (log_16_action *act);
extern void Log_16_pulse (log_16_action *act);
extern void Log_16_scope (log_16_action *act);

extern void Log_16_switch (log_16_action *act);
extern void log_16_conf (log_16_action *act, log_nrec *n);



extern void log_16_noprog (log_16_action *act);


#endif /*LOGSIM_H*/
