#include <utils/p2c.h>
#include <graphics/newcrt.h>
#include <graphics/newkbd.h>
#include <graphics/mylib.h>
#include <X11/Xlib.h>

void nk_ungetkey(uchar c)
{
  XEvent event;
  char buf[2];

  event.type = KeyPress;
  event.xkey.display = m_display;
  event.xkey.window = m_window;
  buf[0] = c;
  buf[1] = '\0';
  event.xkey.keycode = XKeysymToKeycode(m_display, XStringToKeysym(buf));
  XPutBackEvent(m_display, &event);
}

void nk_keybufclear()
{
  XEvent event;

  while (XCheckTypedEvent(m_display, KeyPress, &event)) {
		// noop
	}
}

